# Trait heck::ToUpperCamelCase

source · [−]

    pub trait ToUpperCamelCase: ToOwned {
        fn to_upper_camel_case(&self) -> Self::Owned;
    }

Expand description

This trait defines an upper camel case conversion.

In UpperCamelCase, word boundaries are indicated by capital letters, including the first word.

### Example:

    use heck::ToUpperCamelCase;

    let sentence = "We are not in the least afraid of ruins.";
    assert_eq!(sentence.to_upper_camel_case(), "WeAreNotInTheLeastAfraidOfRuins");

## Required Methods

source

#### fn to_upper_camel_case(&self) -> Self::Owned

Convert this type to upper camel case.

## Implementations on Foreign Types

source

### impl ToUpperCamelCase for str

source

#### fn to_upper_camel_case(&self) -> String

## Implementors